Package net.snowflake.client.core

## Interface SessionUtilExternalBrowser.AuthExternalBrowserHandlers

All Known Implementing Classes:
  `SessionUtilExternalBrowser.DefaultAuthExternalBrowserHandlers`

Enclosing class:
  SessionUtilExternalBrowser

    public static interface SessionUtilExternalBrowser.AuthExternalBrowserHandlers

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.http.client.methods.HttpPost` `build​(URI uri)`
`void` `openBrowser​(String ssoUrl)`
`void` `output​(String msg)`

### Method Detail

#### build

    org.apache.http.client.methods.HttpPost build​(URI uri)

#### openBrowser

    void openBrowser​(String ssoUrl)
              throws SFException

Throws:
  `SFException`

#### output

    void output​(String msg)